Firefox3.6 Rated 3 out of 5 stars

Twitkit+ by a different author supports Firefox3.6. Please try it.